Invoice items

List Invoice Items

GET
/orgs/{organizationId}/invoice-items

Lists invoice line items with pagination, sorting, and filters. Optional search matches line description, invoice display id, product name, and numeric quantity or amounts. Default sort follows display sequence.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""description""style""quantity""taxPercentage""ledger""amountPerUnit""amountPerUnitWithTax""amountSubtotal""amountTax""amountTotal""displaySequence""createdAt""updatedAt""invoiceId""productId""parentItemId"
sortDir?string
Value in"asc""desc"
include?|array<>|string
productId?string|array<string>|null
parentItemId?string|array<string>|null
style?|array<>|
quantity?number||
taxPercentage?number||
ledger?number||
amountPerUnit?number||
amountPerUnitWithTax?number||
amountSubtotal?number||
amountTax?number||
amountTotal?number||
displaySequence?number||
createdAt?|null
updatedAt?|null
description?string|array<string>|
invoiceId?string|array<string>|
hasActions?boolean|string|number|null
hasNoActions?boolean|string|number|null
hasChildLines?boolean|string|number|null
hasNoChildLines?boolean|string|number|null
actionId?string|array<string>|
childLineId?string|array<string>|
hasProduct?boolean|string|number|null
hasNoProduct?boolean|string|number|null
search?string

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/invoice-items'
null